@echo off

set EXEC=bin\fw_updater.exe

echo   ---------------------------------------------------------------
echo   ^|                                                             ^|
echo   ^|     Make sure that the Compute Box DIP switch 3 is set      ^|
echo   ^|                                                             ^|
echo   ^|                     to ON (FIX IP) and                      ^|  
echo   ^|                                                             ^|
echo   ^|     Disconnect the sensor cable from the Compute Box.       ^|
echo   ^|                                                             ^|
echo   ---------------------------------------------------------------
echo: 
pause
echo:

echo [1/3] Updating bootloader 
echo:
%EXEC% -f data\blu\blu-v1_2.oex -c 0
if NOT "%errorlevel%"=="0" goto error

echo:
echo [2/3] Updating application 
echo:
%EXEC% -f data\app\app-v1.3.oex -c 6 
if NOT "%errorlevel%"=="0" goto error

echo:
echo [3/3] Checking new version 
echo:
for /f "tokens=*" %%i in ('%EXEC% -i') do set VAR=%%i
if "%VAR%" == "CBOX_RPT: v1.30 OPTO_BLR: v1.2" goto success

:error
echo   -----------------------------------------------------------------
echo   ^|                                                               ^|
echo   ^|     The firmware update has Failed. Please try again.         ^|
echo   ^|                                                               ^|
echo   ^|     If it fails again, contact you distributor.               ^|
echo   ^|                                                               ^|
echo   -----------------------------------------------------------------
echo: 
pause
goto :eof

:success
echo   -----------------------------------------------------------------
echo   ^|                                                               ^|
echo   ^|    The firmware update was SUCCESFULL.                        ^|
echo   ^|                                                               ^|
echo   ^|    Return to the Sodftware update instruction.                ^|
echo   ^|                                                               ^|
echo   -----------------------------------------------------------------
echo: 
pause


