@echo off

set EXEC=..\bin\fw_updater.exe

echo   ---------------------------------------------------------------
echo   ^|                                                             ^|
echo   ^|     MAKE SURE that the Compute Box is set to FIX IP and     ^|  
echo   ^|                                                             ^|
echo   ^|     DISCONNECT the sensor cable from the Compute Box        ^|
echo   ^|                                                             ^|
echo   ---------------------------------------------------------------
echo: 
pause
echo:

echo [1/3] Updating bootloader 
echo:
%EXEC% -f ..\data\blu\blu-v1_1.oex -c 6
if NOT "%errorlevel%"=="0" goto error

echo:
echo [2/3] Updating application 
echo:
%EXEC% -f ..\data\app\app-v1.2.oex -c 0 
if NOT "%errorlevel%"=="0" goto error

echo:
echo [3/3] Checking new version 
echo:
for /f "tokens=*" %%i in ('%EXEC% -i') do set VAR=%%i
if "%VAR%" == "CBOX_RPT: v1.20 OPTO_BLR: v1.1" goto success

:error
echo   -----------------------------------------------------------------
echo   ^|                                                               ^|
echo   ^|     The firmware update has FAILED! Please try again.         ^|
echo   ^|                                                               ^|
echo   ^|     If it fails again contact you distributor.                ^|
echo   ^|                                                               ^|
echo   -----------------------------------------------------------------
echo: 
pause
goto :eof

:success
echo   -----------------------------------------------------------------
echo   ^|                                                               ^|
echo   ^|    The firmware update was SUCCESFULL (new version is 1.2)    ^|
echo   ^|                                                               ^|
echo   ^|    Go to the next step:  software update over the Ethernet    ^|
echo   ^|                                                               ^|
echo   -----------------------------------------------------------------
echo: 
pause


